<template>
<div>
  <section>
    <base-card>
      <h2>{{ fullName }}</h2>
      <h3>${{ rate }}/hour</h3>
    </base-card>
  </section>
  <section>
    <base-card>
      <header>
        <h2>Interested ? Reach out now!</h2>
        <base-button link :to="coachContactLink">Contact</base-button>
      </header>
      <router-view></router-view>
    </base-card>
  </section>
  <section>
    <base-card>
      <base-badge v-for="area in areas" :key="area" :type="area" :title="area"></base-badge>
      <p>{{ desc }}</p>
    </base-card>
  </section>
</div>
</template>

<script>
export default {
  name: 'CoachDetail',
  components: {},
  props:['id'],
  data(){
    return {
      selectedCoach: null,
    };
  },
  created() {
    this.selectedCoach = this.$store.getters['coach/getCoaches'].find((ci)=> ci.id === this.id)
  },
  computed:{
    coachContactLink(){
      return "/coaches/"+ this.selectedCoach.id + "/contact"
    },
    fullName(){
      return this.selectedCoach.firstName + ' '+ this.selectedCoach.lastName;
    },
    rate(){
      return this.selectedCoach.hourlyRate;
    },
    areas(){
      return this.selectedCoach.areas;
    },
    desc(){
      return this.selectedCoach.description;
    }
  },

};
</script>

<style scoped>

</style>